Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.view.facelets
Class TagHandlerDelegate

    java.lang.Object
      javax.faces.view.facelets.TagHandlerDelegate

    public abstract class TagHandlerDelegate

extends java.lang.Object

Abstract class that defines methods relating to helping tag handler instances. This abstraction enables implementation details to be hidden by the JSF implementation while still allowing concrete classes to be defined for extension by users.

Since:
  2.0

Constructor Summary
`TagHandlerDelegate()`

Method Summary
`abstract void` | `apply(FaceletContext ctx, UIComponent comp)` Called by classes that implement `FaceletHandler` in their implementation of `apply()`.
`abstract MetaRuleset` | `createMetaRuleset(java.lang.Class type)` Return a `MetaRuleset` particular to this kind of tag handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagHandlerDelegate

    public TagHandlerDelegate()

Method Detail

### createMetaRuleset

    public abstract MetaRuleset createMetaRuleset(java.lang.Class type)

  Return a `MetaRuleset` particular to this kind of tag handler. Called from classes that implement `MetaTagHandler`.

  Parameters:
    `type` - the `Class` for which the `MetaRuleset` must be created.
  Since:
    2.0

### apply

    public abstract void apply(FaceletContext ctx,
                               UIComponent comp)
                        throws java.io.IOException

  Called by classes that implement `FaceletHandler` in their implementation of `apply()`.

  Parameters:
    `ctx` - the `FaceletContext` for this request
    `comp` - the `UIComponent` that corresponds to this element.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.